dpkg-source(1)

NOMBRE
dpkg-source - Herramienta de manipulación de paquetes fuente de Debian «.dsc»

SINOPSIS
dpkg-source [opción...] orden

DESCRIPCIÓN
dpkg-source empaqueta y desempaqueta archivos de fuentes de Debian. Ninguna de estas órdenes permite combinar múltiples opciones en una sola. Tampoco permiten que el valor de una opción se especifique en un argumento separado.

ÓRDENES

-x fichero.dsc [directorio-salida]
    Extrae un paquete fuente. Se debe suministrar un argumento que no sea una opción, el nombre del fichero de control de fuente de Debian (.dsc). Puede introducir un segundo argumento que no sea una opción para definir el directorio en el que extraer el paquete fuente, el cual no debe existir. En caso de no definir ningún directorio, el paquete fuente se extraerá en un directorio llamado fuente-versión dentro del directorio actual. dpkg-source lee los nombres de los demás ficheros que componen el paquete fuente desde el fichero de control; se asume que están en el mismo directorio que el fichero .dsc. Los permisos y propietarios de los ficheros del paquete extraído serán los mismos que se esperarían si los ficheros se hubiesen simplemente creado - 0777 para directorios y ejecutables y 0666 para el resto de ficheros, ambos modificados según el umask del extractor. Si el directorio superior tiene activado el bit setgid, los directorios extraídos lo tendrán también, y todos los ficheros y directorios heredarán el grupo al que pertenece. Si el paquete fuente usa un formato no estándar (a día de hoy, todos los formatos menos «1.0»), su nombre se guardará en debian/source/format para que las siguientes construcciones del paquete fuente usen el mismo formato por omisión.

-b directorio [parámetros-específicos-formato]
    Construye un paquete fuente. El primer argumento, que no opción, se toma como el nombre del directorio que contiene el árbol de fuentes «debianizado» (por ejemplo, con un subdirectorio «debian/», y puede que cambios en los ficheros originales). Puede especificar parámetros adicionales, dependiendo del formato de paquete fuente usado en la construcción del paquete. dpkg-source construirá el paquete fuente con el primer formato posible de esta lista, y en este orden: el formato indicado con la opción de línea de órdenes --format, el formato indicado en debian/source/format, «1.0». El uso predefinido de «1.0» en ausencia de otro valor está obsoleto y se eliminará en el futuro. Siempre debería documentar el formato fuente deseado en debian/source/format. Consulte la sección FORMATOS DE PAQUETE FUENTE para una extensa descripción de los diferentes formatos de paquete fuente.

--print-format directorio
    Muestra el formato de fuentes a utilizar en la construcción del paquete fuente si se ejecutó dpkg-source -b directorio (con las mismas condiciones y los mismos parámetros).

--before-build directorio
    Ejecuta la orden (o «hook») que se corresponde con el formato de paquete fuente. Esta orden se ejecuta antes de construir un paquete (dpkg-buildpackage lo ejecuta muy temprano en el proceso, incluso antes que debian/rules clean). Esta orden es idempotente, y se puede ejecutar varias veces. No todos los formatos de fuente implementan algo en este «hook», y aquellos que lo hacen habitualmente preparan el árbol de las fuentes para la construcción, por ejemplo, comprobando que se aplican los parches de Debian.

--after-build directorio
    Ejecuta la orden (o «»hook) que se corresponde al formato de paquete fuente. Esta orden se ejecuta después de construir un paquete (dpkg-buildpackage lo ejecuta en último lugar). Esta orden es idempotente, y se puede ejecutar varias veces. No todos los formatos de fuentes implementan algo en este «hook», y aquellos que lo hacen lo usan habitualmente para deshacer lo que --before-build ha hecho.

--commit [directorio] ...
    Registra las modificaciones del árbol de fuentes desempaquetado en el directorio. Esta orden acepta parámetros adicionales dependiendo del formato de fuente. Este función devuelve error con los formatos no aceptados.

-?, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

  Generic build options

-cfichero-de-control
    Define el fichero de control principal de las fuentes del que leer la información, debian/control por omisión. Si se introducen rutas relativas, éstas se interpretan empezando en el directorio superior del árbol de fuentes.

-lfichero-de-cambios
    Define el fichero de registro de cambios del que leer la información. Por omisión, debian/changelog. Si se introduce una ruta relativa, ésta se interpreta empezando en el directorio superior del árbol de fuentes.

-Fformato-fichero-de-cambios
    Define el formato del fichero de cambios. Para información sobre formatos alternativos consulte dpkg-parsechangelog(1).

--format=valor
    Usa el formato dado para la construcción del paquete fuente. Esto sobreescribe cualquier formato presente endebian/source/format.

-Vnombre=valor
    Define una variable de sustitución de la salida. Consulte deb-substvars(5) para más información acerca de la sustitución de la salida.

-Tfichero-variables-sustitución
    Lee las variables de sustitución desde fichero-variables-sust; el valor por omisión es no leer ninguno. Puede utilizar esta opción varias veces para leer variables de sustitución de varios ficheros.

-Dcampo=valor
    Sobreescribe o añade un campo en el fichero de control de salida.

-Ucampo
    Elimina un campo del fichero de control de salida.

-Zcompression, --compression=compresión
    Specify the compression to use for created files (tarballs and diffs). Note that this option will not cause existing tarballs to be recompressed, it only affects new files. Supported values are: gzip, bzip2, lzma and xz. gzip is the default. xz is only supported since dpkg 1.15.5.

-zlevel, --compression-level=nivel
    El nivel de compresión a utilizar. Al igual que -Z, sólo afecta a los ficheros nuevos. Los valores permitidos son de 1 a 9, best, y fast. Por omisión, 9 se utiliza para gzip y bzip2, y 6 para xz y lzma.

-i[regex], --diff-ignore[=regex]
    You may specify a perl regular expression to match files you want filtered out of the list of files for the diff. (This list is generated by a find command.) (If the source package is being built as a version 3 source package using a VCS, this can be used to ignore uncommited changes on specific files. Using -i.* will ignore all of them.) The -i option by itself enables this setting with a default regex (preserving any modification to the default regex done by a previous use of --extend-diff-ignore) that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories. There can only be one active regex, of multiple -i options only the last one will take effect. This is very helpful in cutting out extraneous files that get included in the diff, e.g. if you maintain your source in a revision control system and want to use a checkout to build a source package without including the additional files and directories that it will usually contain (e.g. CVS/, .cvsignore, .svn/). The default regex is already very exhaustive, but if you need to replace it, please note that by default it can match any part of a path, so if you want to match the begin of a filename or only full filenames, you will need to provide the necessary anchors (e.g. '(^|/)', '($|/)') yourself.

--extend-diff-ignore=regex
    The perl regular expression specified will extend the default value used by --diff-ignore and its current value (if set). It does this by concatenating "|regex" to the existing value. This option is convenient to use in debian/source/options to exclude some auto-generated files from the automatic patch generation.

-I[patrón-fichero], --tar-ignore[=patrón-fichero]
    If this option is specified, the pattern will be passed to tar(1)'s --exclude option when it is called to generate a .orig.tar or .tar file. For example, -ICVS will make tar skip over CVS directories when generating a .tar.gz file. The option may be repeated multiple times to list multiple patterns to exclude. -I by itself adds default --exclude options that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories.

Note: While they have similar purposes, -i and -I have very different syntax and semantics. -i can only be specified once and takes a perl compatible regular expression which is matched against the full relative path of each file. -I can specified multiple times and takes a filename pattern with shell wildcards. The pattern is applied to the full relative path but also to each part of the path individually. The exact semantic of tar's --exclude option is somewhat complicated, see https://www.gnu.org/software/tar/manual/tar.html#wildcards for a full documentation. The default regex and patterns for both options can be seen in the output of the --help command.

  Generic extract options

--no-copy
    No copia los ficheros tar originales cerca del paquete fuente extraído.

--no-check
    No revisa las firmas y sumas de control antes de desempaquetar.

--require-valid-signature
    Rechaza desempaquetar el paquete fuente si no contiene una firma OpenPGP, que se verifica o bien con el anillo de claves de usuario trustedkeys.gpg, uno de los anillos de claves específicos del proveedor, o uno de los anillos de claves oficiales de Debian, /usr/share/keyrings/debian-keyring.gpg y /usr/share/keyrings/debian-maintainers.gpg.

FORMATOS DE PAQUETE FUENTE
Si no sabe qué formato de fuentes usar, debería seleccionar o bien «3.0 (quilt)» o «3.0 (native)». Consulte «https://wiki.debian.org/Projects/DebSrc3.0» para más información acerca del desarrollo de estos formatos dentro del proyecto Debian.

  Formato: 1.0
Un paquete fuente en este formato consiste bien de un .orig.tar.gz asociado a un .diff.gz, o bien de un único .tar.gz (en tal caso, el paquete se considera native). Extracción Extraer un paquete nativo es simplemente una extracción de un único archivo tar en el directorio destino. Extraer un paquete no nativo se realiza, primero, desempaquetando el .orig.tar.gz para después aplicar el parche contenido en el fichero .diff.gz. La marca temporal de todos los ficheros parcheados se modifica en el momento de extraer el paquete fuente (esto evita bifurcaciones de las marcas temporales, que conducen a problemas cuando se parchean los ficheros generados automáticamente). El «diff» puede crear nuevos ficheros (todo el directorio «debian/» se crea de esta manera) pero no puede eliminar ficheros (los ficheros vacíos permanecerán en el sistema). Construcción Construir un paquete nativo consiste de la creación de un único archivo tar con el directorio fuente. Construir un paquete no nativo incluye extraer el archivo tar original en otro directorio «.orig», regenerando el .diff.gz por comparación del directorio del paquete fuente con el directorio «.orig». Opciones de construcción (con -b): Si hay un segundo argumento, debería ser el nombre del directorio de fuentes, del fichero tar original o la cadena vacía, si el paquete es específico de Debian y por tanto carece de diffs «debianizantes». Si no se proporciona un segundo argumento, dpkg-source buscará el archivo tar original paquete_versión-autor-original.orig.tar.gz o el directorio de fuentes original directorio.orig en función de los argumentos -sX. -sa, -sp, -sk, -su y -sr no sobreescribirán directorios o ficheros tar existentes. Si esto es lo que desea, debería utilizar -sA, -sP, -sK, -sU y -sR en su lugar.

-sk Define que se espera la fuente original como un archivo tar, por omisión paquete_versión-autor-original.orig.tar.gz. La fuente original se dejará en el sitio como un fichero tar, o se copiará al directorio actual en caso de no estar ya ahí presente. El archivo tar se desempaquetará en directorio.orig para la generación del «diff».

-sp Idéntica a -sk, a diferencia de que eliminará el directorio al finalizar.

-su Define que se espera que la fuente original sea un directorio, por omisión paquete-versión-autor-original.orig, y que dpkg-source creará un fichero de fuentes nuevo a partir de él.

-sr Idéntica a -su, a diferencia de que eliminará el directorio después de su uso.

-ss Specifies that the original source is available both as a directory and as a tarfile. dpkg-source will use the directory to create the diff, but the tarfile to create the .dsc. This option must be used with care - if the directory and tarfile do not match a bad source archive will be generated.

-sn Omite la búsqueda de la fuente original y no generará un «diff». El segundo argumento, en caso de existir, debe ser la cadena vacía. Esta opción se usa en paquetes específicos de Debian que no tienen fuentes del autor original por separado, y por tanto carecen de ficheros «diff» «debianizantes».

-sa or -sA
    Defina una búsqueda de la fuente original como directorio o como archivo tar - el segundo argumento, de existir, puede ser cualquiera de las dos cosas o la cadena vacía (equivale a utilizar -sn). Si se encuentra un fichero tar, se desempaquetará para crear el «diff» y eliminará posteriormente (equivale a -sp); si se encuentra un directorio, se empaquetará para crear la fuente original y se eliminará posteriormente (equivale a -sr); si no se encuentra ninguno de los dos, se asume que el paquete no tiene ficheros «diff» «debianizantes», únicamente un fichero de fuentes (equivale a -sn). Si se encuentran ambos, dpkg-source ignorará el directorio, sobreescribiéndolo, si se especificó -sA (equivale a -sP), o generará un error si se definió -sa. -sA es la opción predefinida.

--abort-on-upstream-changes
    El procesa dará fallo si el «diff» generado contiene cambios realizados a ficheros fuera del subdirectorio «debian». Esta opción no se puede utilizar en debian/source/options pero se puede utilizar en debian/source/local-options. Opciones de extracción (con -x): En todos los casos cualquier árbol de fuentes original será eliminado.

-sp Si se usa en la extracción, la fuente original (de existir) se dejará como un fichero tar. Si no se encuentra en el directorio actual o si existe un fichero pero es diferente, se copiará ahí. (Ésta es la acción por omisión).

-su Desempaqueta el árbol de fuentes original.

-sn Asegura que la fuente original ni se copia al directorio actual ni se desempaqueta. Cualquier árbol de fuentes original existente en el directorio actual es eliminado.

Todas las opciones -sX son mutuamente excluyentes. Si define más de una, sólo se usará la última.

--skip-debianization
    Omite la aplicación del «diff» de debian con las fuentes del autor original.

  Formato: 2.0
También conocido como wig&pen. No se recomienda este formato para un uso masivo, ya que el formato «3.0 (quilt)» lo reemplaza. Wig&pen fue la primera especificación de un formato de paquete fuente de nueva generación. El comportamiento de este formato es idéntico al del formato «3.0 (quilt)», a excepción de que no usa una lista explícita de parches. Todos los ficheros en debian/patches/ que coinciden con la expresión regular de perl [\w-]+ deben ser parches válidos: se aplican durante el proceso de extracción. Al construir un nuevo paquete fuente, todo cambio en las fuentes original se guardan en un parche llamado zz_debian-diff-auto.

  Formato: 3.0 (nativo)
Este formato es una extensión del formato de paquete nativo como se define en el formato 1.0. Es compatible con todos los métodos de compresión, e ignorará cualquier fichero o directorio específico a sistemas de control de versiones, así como muchos ficheros temporales (consulte el valor predefinido asociado a la opción -I en la salida de --help).

  Format: 3.0 (quilt)
A source package in this format contains at least an original tarball (.orig.tar.ext where ext can be gz, bz2, lzma and xz) and a debian tarball (.debian.tar.ext). It can also contain additional original tarballs (.orig-component.tar.ext). component can only contain alphanumeric characters and hyphens ("-").

Extracción

Primero se extrae el archivo tar original, y después se extraen todos los archivos tar originales en subdirectorios nombrados a partir de la parte de componente de su nombre de fichero (todo directorio preexistente se reemplazará). El archivo tar de Debian se extrae en el directorio raíz del árbol después de la eliminación de cualquier directorio debian preexistente. Tenga en cuenta que el archivo tar de Debian debe contener un subdirectorio debian, pero también puede contener ficheros binarios externos a ese directorio (consulte la opción --include-binaries).

All patches listed in debian/patches/debian.series or debian/patches/series are then applied. If the former file is used and the latter one doesn't exist (or is a symlink), then the latter is replaced with a symlink to the former. This is meant to simplify usage of quilt to manage the set of patches. Note however that while dpkg-source parses correctly series files with explicit options used for patch application (stored on each line after the patch filename and one or more spaces), it does ignore those options and always expect patches that can be applied with the -p1 option of patch. It will thus emit a warning when it encounters such options, and the build is likely to fail.

Contrary to quilt's default behaviour, patches are expected to apply without any fuzz. When that is not the case, you should refresh such patches with quilt, or dpkg-source will error out while trying to apply them.

Similarly to quilt's default behaviour, the patches can remove files too.

El fichero .pc/applied-patches se crea si se aplican parches durante la extracción.

Construcción

All original tarballs found in the current directory are extracted in a temporary directory by following the same logic as for the unpack, the debian directory is copied over in the temporary directory, and all patches except the automatic patch (debian-changes-version or debian-changes, depending on --single-debian-patch) are applied. The temporary directory is compared to the source package directory. When the diff is non-empty, the build fails unless --single-debian-patch or --auto-commit has been used, in which case the diff is stored in the automatic patch. If the automatic patch is created/deleted, it's added/removed from the series file and from the quilt metadata. Cualquier cambio en un fichero binario no se puede representar en un «diff», conduciendo así a un fallo a menos que el desarrollador decida explícitamente incluir el fichero binario modificado en el archivo tar «debian» (mediante su listado en debian/source/include-binaries). La construcción también fallará si encuentra ficheros binarios en el subdirectorio «debian», a menos que estén en el «whitelist» de debian/source/include-binaries. Llegado a este punto se genera el archivo tar «debian» en base al directorio «debian» modificado y la lista de binarios modificados. The automatically generated diff doesn't include changes on VCS specific files as well as many temporary files (see default value associated to -i option in the --help output). In particular, the .pc directory used by quilt is ignored during generation of the automatic patch. Nota: dpkg-source --before-build (y -b) comprueban que los parches enumerados en el fichero «series» se han aplicado, para así garantizar que la construcción del paquete siempre tenga todos los parches aplicados. Para ello, encuentra la lista de parches no aplicados (listados en el fichero series pero no en .pc/applied-patches) y si aplica el primer parche del conjunto sin problemas, procederá a aplicar el resto. Puede utilizar la opción --no-preparation para desactivar este comportamiento.

Registrar cambios

--commit [directorio] [nombre-parche] [fichero-parche]
    Generates a patch corresponding to the local changes that are not managed by the quilt patch system and integrates it in the patch system under the name patch-name. If the name is missing, it will be asked interactively. If patch-file is given, it is used as the patch corresponding to the local changes to integrate. Once integrated, an editor is launched so that you can edit the meta-information in the patch header. Introducir fichero-parche es generalmente útil después de un fallo de construcción que ha generado este fichero previamente, y en base a ello, el fichero dado se elimina después de la integración. Tenga en cuenta que los cambios contenidos en el fichero de parche debe estar aplicado en el árbol, y que los ficheros modificados por el parche no deben contener cambios adicionales sin registrar. Si la generación del parche detecta ficheros binarios modificados, se añaden de forma automática a debian/source/include-binaries para que se incluyan en el fichero tar de debian (al igual que realiza dpkg-source --include-binaries -b).

Opciones de construcción

--allow-version-of-quilt-db=versión
    Allow dpkg-source to build the source package if the version of the quilt metadata is the one specified, even if dpkg-source doesn't know about it. Effectively this says that the given version of the quilt metadata is compatible with the version 2 that dpkg-source currently supports. The version of the quilt metadata is stored in .pc/.version.

--include-removal
    No ignora los ficheros eliminados y los incluye en el parche generado automáticamente.

--include-timestamp
    Incluye la marca temporal en el parche generado automáticamente.

--include-binaries
    Añade todos los ficheros binarios modificados al archivo tar «debian». También los añade a debian/source/include-binaries: se añadirán por omisión en futuras construcciones, con lo que esta opción ya no será necesaria.

--no-preparation
    No intenta preparar el árbol de construcción aplicando parches que están supuestamente sin aplicar.

--single-debian-patch
    Usa debian/patches/debian-changes en lugar de debian/patches/debian-changes-version para el nombre del parche generado automáticamente durante la construcción. Esta opción es particularmente útil si el paquete se guarda en un sistema de control de versiones y si no se puede generar un conjunto de parches adecuados. La opción se debería poner en debian/source/local-options, acompañado de un fichero debian/source/local-patch-header que detalle la mejor forma de revisar los cambios de Debian, por ejemplo, el sistema de control de versiones en uso.

--create-empty-orig
    Crea automáticamente el archivo tar principal y original como vacío en caso de no existir y si hay otros archivos tar originales adicionales. Esta opción está diseñada para su uso cuando el paquete fuente es un conjunto de varios programas de la fuente principal y cuando no hay programas «principales».

--no-unapply-patches, --unapply-patches
    By default, dpkg-source will automatically unapply the patches in the --after-build hook if it did apply them during --before-build. Those options allow you to forcefully disable or enable the patch unapplication process. Those options are only allowed in debian/source/local-options so that all generated source packages have the same behavior by default.

--abort-on-upstream-changes
    The process fails if an automatic patch has been generated. This option can be used to ensure that all changes were properly recorded in separate quilt patches prior to the source package build. This option is not allowed in debian/source/options but can be used in debian/source/local-options.

--auto-commit
    The process doesn't fail if an automatic patch has been generated, instead it's immediately recorded in the quilt series.

Opciones de extracción

--skip-debianization
    Omite la extracción del archivo tar «debian» sobre las fuente del autor original.

--skip-patches
    No aplica los parches al finalizar la extracción.

  Formato: 3.0 (custom)
Este formato es especial. No representa ningún formato de paquete fuente real, pero se puede utilizar para crear paquetes fuente con ficheros arbitrarios.

Opciones de construcción

Todas las opciones que no son argumento se toman como ficheros a integrar en el paquete fuente generado. Deben existir y, preferiblemente, encontrarse en el directorio actual. Se debe introducir al menos un fichero.

--target-format=valor
    Required. Defines the real format of the generated source package. The generated .dsc file will contain this value in its Format field and not "3.0 (custom)".

  Format: 3.0 (git)
Este formato es experimental.

Un paquete de fuente con este formato consiste de un sólo archivo con un repositorio .git, que guarda la fuente del paquete. Puede también existir un fichero .gitshallow que lista las revisiones de una clonación de git superficial («shallow»).

Extracción

El archivo se clona como un repositorio git en el directorio destino. Si hay un fichero «gitshallow», se instala como «.git/shallow» dentro del repositorio git clonado.

Tenga en cuenta que, por omisión, el nuevo repositorio tendrá un «checkout» de la misma rama de la que se realizó el «checkout» de la fuente original. (Habitualmente, «master», pero podría ser cualquier otra cosa.) Todas las demás ramas estarán disponibles bajo «remotes/origin/».

Construcción

Antes de continuar, se realizan algunas revisiones para asegurar que no queden cambios no ignorados a remitir al repositorio mediante «commit».

git-bundle(1) se usa para generar un archivo a partir de un repositorio git. Por omisión, se incluyen en el archivo todas las ramas y etiquetas en el repositorio.

Opciones de construcción

--git-ref=ref
    Allows specifying a git ref to include in the git bundle. Use disables the default behavior of including all branches and tags. May be specified multiple times. The ref can be the name of a branch or tag to include. It may also be any parameter that can be passed to git-rev-list(1). For example, to include only the master branch, use --git-ref=master. To include all tags and branches, except for the private branch, use --git-ref=--all --git-ref=^private

--git-depth=number
    Crea un clon superficial («shalow») con la historia truncada en el número definido de revisiones.

  Format: 3.0 (bzr)
Este formato es experimental. Genera un único archivo tar que contiene el repositorio bzr.

Extracción

El archivo tar se desempaqueta, usando después bzr para realizar un «checkout» de la rama actual.

Construcción

Antes de continuar, se realizan algunas revisiones para asegurar que no queden cambios no ignorados a remitir al repositorio mediante «commit».

Entones, la parte del directorio de fuentes específico al sistema de control de versiones se copia a un directorio temporal. Antes de empaquetar este directorio temporal en una archivo tar se realizan varios procesos de limpieza, para así ahorrar espacio.

DIAGNÓSTICOS

  no se definió ningún formato de fuentes en «debian/source/format»
The file debian/source/format should always exist and indicate the desired source format. For backwards compatibility, format "1.0" is assumed when the file doesn't exist but you should not rely on this: at some point in the future dpkg-source will be modified to fail when that file doesn't exist. El fundamente es que el formato «1.0» ya no es el formato recomendado, sino que debería escoger uno de los formatos más recientes («3.0 (quilt)», «3.0 (native)»). dpkg-source no hará esto automáticamente. Si desea continuar usando el formato antiguo, tendrá que ser explícito e insertar «1.0» en debian/source/format.

  el diff modifica los siguientes ficheros de la fuente original
Generalmente, es una mala idea modificar ficheros de la fuente original si está usando el formato de fuentes «1.0» ya que los cambios terminarán ocultos y generalmente sin documentar dentro del fichero «diff.gz». Debería guardar los cambios como parches en el directorio «debian» y aplicarlos en tiempo de construcción. Para evitar esta complejidad también puede utilizar el formato «3.0 (quilt)», que ofrece esto de forma nativa.

  no se pueden representar los cambios al fichero
Los cambios a las fuentes originales se suelen guardar el ficheros de parche, pero no todos los cambios se pueden representar con parches: sólo pueden alterar el contenido de ficheros de texto simple. Si intenta reemplazar un fichero con algo de otro tipo (por ejemplo, un fichero simple con un enlace simbólico o directorio), obtendrá el siguiente mensaje de error.

  el fichero vacío fichero recientemente creado no estará representado en el «diff»
No se pueden crear ficheros vacíos con ficheros de parche. Por ello, este cambio no se registra en el paquete fuente, está usted avisado.

  los permisos de modo de ejecución del fichero no se representarán en el «diff»
Patch files do not record permissions of files and thus executable permissions are not stored in the source package. This warning reminds you of that fact.

  los permisos de modo especial del fichero no se representarán en el «diff»
Los ficheros de parche no registran permisos de los ficheros, y por ello los permisos modificados no se guardan en el paquete fuente. Este aviso le sirve de recordatorio.

FORMATOS DE FICHERO

  debian/source/format
Este fichero contiene en una única línea el formato que se debería utilizar para construir el paquete fuente (los formatos posibles se describen en un punto anterior). No se permiten espacios vacíos al principio o final de la línea.

  debian/source/include-binaries
Este fichero contiene una lista de ficheros binarios (uno por línea) que se deberían incluir en el archivo tar «debian». Se eliminan los espacios vacíos al principio y final de la línea. Las líneas que comienzan con «#» son comentarios, y por tanto, se omiten. Se ignorarán líneas vacías.

  debian/source/options
Este fichero contiene una lista de opciones largas que se deberían anexar al conjunto de las opciones de línea de órdenes de una ejecución a dpkg-source -b o dpkg-source --print-format. Las opciones como --compression y --compression-level son adecuadas con este fichero.

Cada opción debería aparecer en una línea separada. Se ignorarán las líneas vacías, y aquellas que comienzan con «#». Los guiones «--» al principio de la opción se deberían eliminar, y no se permiten opciones cortas. Se permiten espacios adicionales en torno al símbolo «=», así como comillas dobles en torno al valor. Aquí tiene un ejemplo de este fichero:

  # permite a dpkg-source crear un debian.tar.bz2 con la máxima compresión
  compression = "bzip2"
  compression-level = 9
  # usa debian/patches/debian-changes como parche automático
  single-debian-patch
 # ignora cambios en config.{sub,guess}
  extend-diff-ignore = "(^|/)(config.sub|config.guess)$"

Nota: no se permiten en este fichero las opciones de formato, y debería utilizar debian/source/format en su lugar.

  debian/source/local-options
Idéntico a debian/source/options, a excepción de que el fichero no se incluye en el paquete fuente generado. Puede ser útil para guardar una preferencia ligada al mantenedor a al repositorio del sistema de control de versiones dónde el paquete es mantenido.

  debian/source/local-patch-header and debian/source/patch-header
Texto con formato libre que se inserta al inicio del parche generado de forma automática con los formatos «2.0» o «3.0 quilt)». local-patch-header no se incluye en las fuentes generadas, mientras que patch-header sí.

  debian/patches/series
This file lists all patches that have to be applied (in the given order) on top of the upstream source package. Leading and trailing spaces are stripped. Lines starting with "#" are comments and are skipped. Empty lines are ignored. Remaining lines start with a patch filename (relative to the debian/patches/ directory) up to the first space character or the end of line. Optional quilt options can follow up to the end of line or the first "#" preceded by one or more spaces (which marks the start of a comment up to the end of line).

FALLOS
No está claro el punto en el cual se produce la sustitución de campos, comparado con ciertas opciones de los campos de salida estándar.

VÉASE TAMBIÉN
dpkg-deb(1), dpkg(1), dselect(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.